Bug 146356 - Cannot send over SMTP/TLS
Cannot send over SMTP/TLS
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 08:35 EST by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 14:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2005-01-27 08:35:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.5)
Gecko/20041110 Firefox/1.0

Description of problem:
Evolution is set to send to server.domain.com:25 with ssl enabled (If
I do not put the :25 there it will try immediately to use ssl (the old
protocol) on 465 without a handshake.

I have also tried on other non-standard ports and all fail with the
error on the server SMTP protocol violation: syncronization error
(input sent without waiting for greeting): rejected connection.

On the client I get the error:

CamelException.setv(0xb5ef63e0, 2, 'Welcome response error: Connection
timed out')

It is almost as if evolution does not understand the 2XX message from
the server.

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Server configuration, Host set to host.domain.com:25 or
host.domain.com:1465 ; server requires authentication ticked ; and Use
secure connection (SSL) always.
2. send some mail
3. receive error, it is interesting to note that if SSL is set to
never mail is sent.
    

Actual Results:  Evolution provides an error, and is unable to send
using TLS

Expected Results:  The mail should have been sent on the port
specified, using TLS

Additional info:

The MTA used was exim version 4.42 and 4.34.

Similar to this bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=131744; however
that was without SSL.
Comment 1 Luca 2005-02-03 09:38:51 EST
Exactly the same behaviour here with a postfix server on the other end.
Comment 2 Matthew Miller 2006-07-10 17:14:33 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Matěj Cepl 2007-08-31 11:21:38 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matthew Barnes 2007-10-02 14:37:35 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.